Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.renderkit.html
Class HtmlRadioRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlRadioRendererBase

Direct Known Subclasses:
  HtmlRadioRenderer

public class HtmlRadioRendererBase
extends HtmlRenderer

Version:
  $Revision: 289194 $ $Date: 2005-09-15 06:28:08 -0400 (Thu, 15 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mbr $), Thomas Spiegl

Constructor Summary
`HtmlRadioRendererBase()`

Method Summary
`void` | `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.Object submittedValue)`
`protected java.lang.String` | `getLayout(javax.faces.component.UIComponent selectOne)`
`protected java.lang.String` | `getStyleClass(javax.faces.component.UISelectOne selectOne)`
`protected boolean` | `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`protected void` | `renderGroupOrItemRadio(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, javax.faces.model.SelectItem selectItem, java.lang.Object currentValue, javax.faces.convert.Converter converter, boolean pageDirectionLayout)`
`protected void` | `renderRadio(javax.faces.context.FacesContext facesContext, javax.faces.component.UIInput uiComponent, java.lang.String value, java.lang.String label, boolean disabled, boolean checked, boolean renderId)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlRadioRendererBase

    public HtmlRadioRendererBase()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getLayout

    protected java.lang.String getLayout(javax.faces.component.UIComponent selectOne)

### getStyleClass

    protected java.lang.String getStyleClass(javax.faces.component.UISelectOne selectOne)

### renderGroupOrItemRadio

    protected void renderGroupOrItemRadio(javax.faces.context.FacesContext facesContext,
                                          javax.faces.component.UIComponent uiComponent,
                                          javax.faces.model.SelectItem selectItem,
                                          java.lang.Object currentValue,
                                          javax.faces.convert.Converter converter,
                                          boolean pageDirectionLayout)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderRadio

    protected void renderRadio(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIInput uiComponent,
                               java.lang.String value,
                               java.lang.String label,
                               boolean disabled,
                               boolean checked,
                               boolean renderId)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent uiComponent)

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent uiComponent)

### getConvertedValue

    public java.lang.Object getConvertedValue(javax.faces.context.FacesContext facesContext,
                                              javax.faces.component.UIComponent uiComponent,
                                              java.lang.Object submittedValue)
                                       throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD